Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.io
Class IMatrixIO

    java.lang.Object
      infomat.io.IMatrixIO

    public class IMatrixIO

extends java.lang.Object

For loading and saving an IMatrix. The dtd is changed as of 080319. Anything in a matrix file is read, but a minimum is written.

Nested Class Summary
`private class` | `IMatrixIO.IMatrixHandler`

Field Summary
`private IMatrix` | `matrix`

Constructor Summary
`IMatrixIO()`

Method Summary
`IMatrix` | `load(java.io.File file)` Loads a IMatrix from file in XML format
`private IMatrix` | `load(org.xml.sax.InputSource source)`
`IMatrix` | `loadCompressed(java.io.File file)`
`void` | `printDTD(java.io.PrintWriter out)`
`void` | `save(IMatrix m, java.io.File file)` Exports the IMatrix in XML format
`private void` | `save(java.io.PrintWriter out)`
`private void` | `saveCells(IMatrix matrix, java.io.PrintWriter out)`
`void` | `saveCompressed(IMatrix m, java.lang.String fileName)` Exports the IMatrix in XML format The file is saved in compressed .zip-format.
`private void` | `saveIObjectSet(IObjectSet set, java.io.PrintWriter out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### matrix

    private IMatrix matrix

Constructor Detail

### IMatrixIO

    public IMatrixIO()

Method Detail

### load

    public IMatrix load(java.io.File file)

  Loads a IMatrix from file in XML format

### loadCompressed

    public IMatrix loadCompressed(java.io.File file)

### load

    private IMatrix load(org.xml.sax.InputSource source)

### save

    public void save(IMatrix m,
                     java.io.File file)

  Exports the IMatrix in XML format

### saveCompressed

    public void saveCompressed(IMatrix m,
                               java.lang.String fileName)

  Exports the IMatrix in XML format The file is saved in compressed .zip-format.

### printDTD

    public void printDTD(java.io.PrintWriter out)

### save

    private void save(java.io.PrintWriter out)

### saveIObjectSet

    private void saveIObjectSet(IObjectSet set,
                                java.io.PrintWriter out)

### saveCells

    private void saveCells(IMatrix matrix,
                           java.io.PrintWriter out)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD